Package com.sap.ai.sdk.grounding.model

# Class VectorScoringConfiguration

java.lang.Object
com.sap.ai.sdk.grounding.model.VectorScoringConfiguration

public class VectorScoringConfiguration extends Object
VectorScoringConfiguration

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `VectorScoringConfiguration()`
  Default constructor for VectorScoringConfiguration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VectorScoringConfiguration`
  `aggregationStrategy(ScoresAggregationStrategy aggregationStrategy)`
  Set the aggregationStrategy of this `VectorScoringConfiguration` instance and return the same instance.
  `VectorScoringConfiguration`
  `boosting(BoostingScoringConfiguration boosting)`
  Set the boosting of this `VectorScoringConfiguration` instance and return the same instance.
  `static VectorScoringConfiguration`
  `create()`
  Create a new `VectorScoringConfiguration` instance.
  `VectorScoringConfiguration`
  `denseRetrieval(DenseRetrievalScoringConfiguration denseRetrieval)`
  Set the denseRetrieval of this `VectorScoringConfiguration` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `ScoresAggregationStrategy`
  `getAggregationStrategy()`
  Get aggregationStrategy
  `BoostingScoringConfiguration`
  `getBoosting()`
  Get boosting
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `VectorScoringConfiguration`.
  `DenseRetrievalScoringConfiguration`
  `getDenseRetrieval()`
  Get denseRetrieval
  `KeyWordRetrievalScoringConfiguration`
  `getKeywordRetrieval()`
  Get keywordRetrieval
  `BigDecimal`
  `getScoreThreshold()`
  Minimum chunk score threshold.
  `int`
  `hashCode()`
  `VectorScoringConfiguration`
  `keywordRetrieval(KeyWordRetrievalScoringConfiguration keywordRetrieval)`
  Set the keywordRetrieval of this `VectorScoringConfiguration` instance and return the same instance.
  `VectorScoringConfiguration`
  `scoreThreshold(BigDecimal scoreThreshold)`
  Set the scoreThreshold of this `VectorScoringConfiguration` instance and return the same instance.
  `void`
  `setAggregationStrategy(ScoresAggregationStrategy aggregationStrategy)`
  Set the aggregationStrategy of this `VectorScoringConfiguration` instance.
  `void`
  `setBoosting(BoostingScoringConfiguration boosting)`
  Set the boosting of this `VectorScoringConfiguration` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `VectorScoringConfiguration` instance.
  `void`
  `setDenseRetrieval(DenseRetrievalScoringConfiguration denseRetrieval)`
  Set the denseRetrieval of this `VectorScoringConfiguration` instance.
  `void`
  `setKeywordRetrieval(KeyWordRetrievalScoringConfiguration keywordRetrieval)`
  Set the keywordRetrieval of this `VectorScoringConfiguration` instance.
  `void`
  `setScoreThreshold(BigDecimal scoreThreshold)`
  Set the scoreThreshold of this `VectorScoringConfiguration` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `VectorScoringConfiguration` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VectorScoringConfiguration

    protected VectorScoringConfiguration()
    Default constructor for VectorScoringConfiguration.

- ## Method Details

  - ### denseRetrieval

    @Nonnull public VectorScoringConfiguration denseRetrieval(@Nullable DenseRetrievalScoringConfiguration denseRetrieval)
    Set the denseRetrieval of this `VectorScoringConfiguration` instance and return the same instance.
    Parameters:
      `denseRetrieval` - The denseRetrieval of this `VectorScoringConfiguration`
    Returns:
      The same instance of this `VectorScoringConfiguration` class

  - ### getDenseRetrieval

    @Nonnull public DenseRetrievalScoringConfiguration getDenseRetrieval()
    Get denseRetrieval
    Returns:
      denseRetrieval The denseRetrieval of this `VectorScoringConfiguration` instance.

  - ### setDenseRetrieval

    public void setDenseRetrieval(@Nullable DenseRetrievalScoringConfiguration denseRetrieval)
    Set the denseRetrieval of this `VectorScoringConfiguration` instance.
    Parameters:
      `denseRetrieval` - The denseRetrieval of this `VectorScoringConfiguration`

  - ### keywordRetrieval

    @Nonnull public VectorScoringConfiguration keywordRetrieval(@Nullable KeyWordRetrievalScoringConfiguration keywordRetrieval)
    Set the keywordRetrieval of this `VectorScoringConfiguration` instance and return the same instance.
    Parameters:
      `keywordRetrieval` - The keywordRetrieval of this `VectorScoringConfiguration`
    Returns:
      The same instance of this `VectorScoringConfiguration` class

  - ### getKeywordRetrieval

    @Nonnull public KeyWordRetrievalScoringConfiguration getKeywordRetrieval()
    Get keywordRetrieval
    Returns:
      keywordRetrieval The keywordRetrieval of this `VectorScoringConfiguration` instance.

  - ### setKeywordRetrieval

    public void setKeywordRetrieval(@Nullable KeyWordRetrievalScoringConfiguration keywordRetrieval)
    Set the keywordRetrieval of this `VectorScoringConfiguration` instance.
    Parameters:
      `keywordRetrieval` - The keywordRetrieval of this `VectorScoringConfiguration`

  - ### boosting

    @Nonnull public VectorScoringConfiguration boosting(@Nullable BoostingScoringConfiguration boosting)
    Set the boosting of this `VectorScoringConfiguration` instance and return the same instance.
    Parameters:
      `boosting` - The boosting of this `VectorScoringConfiguration`
    Returns:
      The same instance of this `VectorScoringConfiguration` class

  - ### getBoosting

    @Nonnull public BoostingScoringConfiguration getBoosting()
    Get boosting
    Returns:
      boosting The boosting of this `VectorScoringConfiguration` instance.

  - ### setBoosting

    public void setBoosting(@Nullable BoostingScoringConfiguration boosting)
    Set the boosting of this `VectorScoringConfiguration` instance.
    Parameters:
      `boosting` - The boosting of this `VectorScoringConfiguration`

  - ### scoreThreshold

    @Nonnull public VectorScoringConfiguration scoreThreshold(@Nullable BigDecimal scoreThreshold)
    Set the scoreThreshold of this `VectorScoringConfiguration` instance and return the same instance.
    Parameters:
      `scoreThreshold` - Minimum chunk score threshold.
    Returns:
      The same instance of this `VectorScoringConfiguration` class

  - ### getScoreThreshold

    @Nullable public BigDecimal getScoreThreshold()
    Minimum chunk score threshold.
    Returns:
      scoreThreshold The scoreThreshold of this `VectorScoringConfiguration` instance.

  - ### setScoreThreshold

    public void setScoreThreshold(@Nullable BigDecimal scoreThreshold)
    Set the scoreThreshold of this `VectorScoringConfiguration` instance.
    Parameters:
      `scoreThreshold` - Minimum chunk score threshold.

  - ### aggregationStrategy

    @Nonnull public VectorScoringConfiguration aggregationStrategy(@Nullable ScoresAggregationStrategy aggregationStrategy)
    Set the aggregationStrategy of this `VectorScoringConfiguration` instance and return the same instance.
    Parameters:
      `aggregationStrategy` - The aggregationStrategy of this `VectorScoringConfiguration`
    Returns:
      The same instance of this `VectorScoringConfiguration` class

  - ### getAggregationStrategy

    @Nonnull public ScoresAggregationStrategy getAggregationStrategy()
    Get aggregationStrategy
    Returns:
      aggregationStrategy The aggregationStrategy of this `VectorScoringConfiguration` instance.

  - ### setAggregationStrategy

    public void setAggregationStrategy(@Nullable ScoresAggregationStrategy aggregationStrategy)
    Set the aggregationStrategy of this `VectorScoringConfiguration` instance.
    Parameters:
      `aggregationStrategy` - The aggregationStrategy of this `VectorScoringConfiguration`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `VectorScoringConfiguration`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `VectorScoringConfiguration` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `VectorScoringConfiguration` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `VectorScoringConfiguration` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static VectorScoringConfiguration create()
    Create a new `VectorScoringConfiguration` instance. No arguments are required.